/* Media Queries
-------------------------------------------------------------- */
@media only screen and (max-width: 991px) {
  .item.style-list .main-post {
    flex-direction: column;
  }
  .item.style-list .featured-post {
    max-width: 100%;
  }

  .header-2 {
    padding-top: 25px;
    padding-bottom: 25px;
  }
  .main-post.entry-border .content-post {
    padding-bottom: 0px;
}
.wrap-blog-article .featured-post img {
    width: 100%;
}

  .single .page-wrap .content-area,
  .single .page-wrap .widget-area,
  .single.single-post .page-wrap .content-area,
  .single.single-post .page-wrap .widget-area {
    width: 100%;
    padding: 0px;
  }

  .blog-single .featured-post img {
    height: 400px;
  }

  #mainnav-mobi .menu {
    overflow-y: auto;
    max-height: 100vh;
  }

  .nav-links::before,
  .themesflat-top .content-right .topbar-social span {
    display: none;
  }

  .page-wrap.sidebar-left .content-area,
  .page-wrap.sidebar-right .content-area {
    padding-left: 0;
    padding-right: 0;
  }

  #secondary .sidebar {
    margin-top: 50px;
  }

  /* sidebar */
  .single .page-wrap.sidebar-right .content-area,
  .single .page-wrap.sidebar-left .content-area,
  .page-wrap.sidebar-left .content-area,
  .page-wrap.sidebar-right .content-area,
  .page-wrap.sidebar-left .widget-area,
  .page-wrap.sidebar-right .widget-area {
    float: none;
    width: 100% !important;
    padding-right: 0;
    padding-left: 0;
    position: relative;
  }

  .page-wrap.sidebar-left .content-area,
  .page-wrap.sidebar-right .content-area {
    margin-bottom: 0px;
  }

  #themesflat-content {
    padding-top: 60px;
    padding-bottom: 60px;
  }
  header .nav-wrap {
    display: none;
  }
}

/* All Mobile Sizes */
@media only screen and (max-width: 767px) {
  .header-fixed {
    top: 0 !important;
  }

  .page-title {
    padding-bottom: 100px;
    padding-top: 140px;
  }

  .page-title .page-title-heading,
  .wrap-title-blog .page-title-heading {
    font-size: 35px;
  }

  #preloader #loading-center .loader-container .loader {
    width: 90px;
    height: 90px;
  }

  #preloader #loading-center .loader-container .wrap-loader .icon {
    max-width: 70px;
  }

  .widget_login_menu_widget .user-dropdown .user-display-name img {
    width: 35px;
    height: 35px;
  }

  .header.header-box-sticky {
    top: 0px !important;
  }

  .property-navigation.active.is-fixed {
    top: 89px !important;
  }

  .content-single-2 #themesflat-content > .featured-post {
    margin-bottom: 60px;
  }

  .content-single-2 .content-single-fullwidth .entry-title,
  .content-single-3 .content-single-fullwidth .entry-title {
    font-size: 30px;
  }

  #comments {
    margin-top: 40px;
  }

  .item.item-grid .main-post {
    flex-direction: column;
  }

  .header.header-02 .top-bar-inner {
    padding: 10px 0;
  }

  .header-absolute #header.header-default.header-box-sticky {
    top: 0 !important;
  }

  .tfcl-popup-sidebar.active-mobile .content-sidebar {
    width: 80%;
  }

  .content-post-sigle-title .meta {
    flex-wrap: wrap;
  }

  footer .infor-ft {
    flex-wrap: wrap;
    justify-content: left;
  }

  .footer-social span,
  #header .tf-btn-header {
    display: none;
  }

  .footer-social {
    justify-content: center;
  }

  .footer-action-box {
    padding-top: 30px;
    padding-bottom: 30px;
  }

  .footer-navigation .wrap-navigation {
    flex-direction: column;
    align-items: self-start;
  }

  .widget_login_menu_widget .user-dropdown .user-display-name {
    gap: 5px;
  }

  /* header */

  .pagination > span,
  .navigation.paging-navigation span,
  .page-links a,
  .page-links > span {
    margin-bottom: 15px;
  }

  .navigation.paging-navigation .pagination,
  .navigation.paging-navigation.pager,
  .contact-page .group-ip {
    display: block;
  }

  .comment-respond .comment-left .name-container,
  .comment-respond .comment-left .email-container {
    width: 100%;
  }

  .page-wrap.fullwidth-small .wrap-content-area .blog-grid > .item,
  .page-wrap.fullwidth-small .wrap-content-area .blog-grid-simple > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid-simple > .item,
  .page-wrap.fullwidth-small .wrap-content-area .blog-grid.columns-2 > .item,
  .page-wrap.fullwidth-small
    .wrap-content-area
    .blog-grid-simple.columns-2
    > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid.columns-2 > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid-simple.columns-2 > .item,
  .page-wrap.fullwidth-small .wrap-content-area .blog-grid.columns-3 > .item,
  .page-wrap.fullwidth-small
    .wrap-content-area
    .blog-grid-simple.columns-3
    > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid.columns-3 > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid-simple.columns-3 > .item,
  .page-wrap.fullwidth-small .wrap-content-area .blog-grid.columns-4 > .item,
  .page-wrap.fullwidth-small
    .wrap-content-area
    .blog-grid-simple.columns-4
    > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid.columns-4 > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid-simple.columns-4 > .item,
  .page-wrap.fullwidth-small .wrap-content-area .blog-grid.columns-2 > .item,
  .page-wrap.fullwidth-small
    .wrap-content-area
    .blog-grid-simple.columns-2
    > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid.columns-2 > .item,
  .page-wrap.fullwidth-small .content-area .blog-grid-simple.columns-2 > .item {
    float: none;
    width: 100%;
  }

  .blog-grid.columns-2 > .item,
  .blog-grid-simple.columns-2 > .item,
  .blog-grid.columns-3 > .item,
  .blog-grid-simple.columns-3 > .item,
  .blog-grid.columns-4 > .item,
  .blog-grid-simple.columns-4 > .item {
    float: none;
    width: 100%;
  }

  .blog-grid-simple article .content-post {
    padding: 25px 30px;
  }

  .page-title.inline .page-title-container h1,
  .page-title.inline .breadcrumbs {
    display: block;
  }

  .canvas-nav-wrap.active .inner-canvas-nav.hide-padding {
    padding-top: 0 !important;
  }

  .wrap-blog-article .featured-post img {
    min-height: 300px;
  }

  .page-title.inline .page-title-container h1 {
    margin-bottom: 10px;
  }

  .header.header-search
    .tfre-advanced-search-wrap.form-main
    .form-search-inner {
    margin-top: 0;
    margin-bottom: 20px;
  }

  .page-title.inline .breadcrumbs,
  .navigation.posts-navigation .nav-links li.next-post .content {
    text-align: left;
  }

  .box-comming-soon {
    padding: 15px;
  }

  .comming-soon-countdown .square .numb {
    font-size: 30px;
  }

  .one-haft {
    width: 100%;
    float: none;
  }

  .mobi-mb20 {
    margin-bottom: 20px;
  }

  .mobi-mb30,
  .wrap-logo-footer {
    margin-bottom: 30px;
  }

  .themesflat_sc_vc-icon-box.one-haft {
    margin-bottom: 30px;
  }

  .author-post .themesflat-socials {
    margin-top: 10px;
  }

  .bottom .themesflat-socials {
    margin-top: 0px;
    margin-right: 0px;
  }

  .mobi-small-hide,
  #header .header-wrap .header-ct-right .phone-header-box,
  article .entry-footer .social-share-article h5,
  .footer-navigation .inner span,
  .themesflat-top .content-right {
    display: none;
  }

  .themesflat-top .container-inside,
  .themesflat-top .content-left .list-infor-topbar {
    flex-wrap: wrap;
    justify-content: center;
  }

  #footer {
    padding-top: 40px;
    padding-bottom: 20px;
  }

  #footer .footer-widgets .widgets-areas > .widget-title {
    padding: 10px 0;
  }

  .footer .wrap-widgets-2 .footer-col-2 {
    flex-direction: column;
    row-gap: 20px;
    align-items: baseline;
  }

  .footer .wrap-widgets-2 .footer-col-2 .wp-block-column {
    width: 100%;
  }

  .footer-widgets .wrap-widgets-1,
  .footer-widgets .wrap-widgets-2 {
    margin-bottom: 30px;
  }

  .menu-tab-footer .widgets-areas .widget_nav_menu .widgettitle {
    cursor: pointer;
  }

  .menu-tab-footer .widgets-areas .widget_nav_menu .widgettitle::after {
    content: "";
    width: 2px;
    height: 13px;
    position: absolute;
    top: 50%;
    right: 20.5px;
    transform: translateY(-50%);
    background-color: currentColor;
  }

  .menu-tab-footer .widgets-areas .widget_nav_menu .widgettitle::before {
    content: "";
    width: 13px;
    height: 2px;
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
    background-color: currentColor;
  }

  .menu-tab-footer .widgets-areas .widget_nav_menu .widgettitle.active::after,
  .header.header-search .tfre-advanced-search-wrap {
    display: none;
  }

  .mmobi-center {
    text-align: center !important;
  }

  .single-property-element.property-gallery-wrap
    .single-property-image-main
    .item
    img {
    height: 450px;
  }

  .mmobi-left {
    text-align: left !important;
  }

  .footer-widgets .widget.widget_nav_menu ul li {
    float: none;
  }

  .smobi-hide,
  .doubleline:before,
  .doubleline:after,
  .border-style1:before,
  .mmobi-none,
  .bottom ul li:not(:last-child):after,
  .footer-navigation .content-center {
    display: none;
  }

  .wrap-job-list .title-job,
  .wrap-job-list .info-job,
  .wrap-job-list .button-job {
    width: auto;
    display: block;
    float: none;
    margin: 0 0 15px 0;
  }

  .blog-post.post_format-post-format-image.has-post-thumbnail .content-post {
    padding: 25px;
  }

  .footer-widgets .widget.widget_nav_menu ul li {
    width: 100%;
  }

  .button-topbar {
    margin-left: 0;
  }

  .bottom .container-inside {
    display: block;
    justify-content: unset;
    align-items: unset;
    text-align: center;
  }

  .bottom ul li:not(:last-child) {
    margin-right: 10px;
  }

  .elementor-widget-container .mc4wp-form input[type="email"] {
    padding: 16px 20px;
    margin-bottom: 10px;
  }

  .elementor-widget-container .mc4wp-form input[type="submit"] {
    position: unset;
    right: auto;
    top: auto;
    transform: translateY(0%);
    max-width: 100%;
  }

  .transparent-form p,
  .dark-form p {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
  }

  .related-post.related-posts-box {
    margin-top: 80px;
  }

  .blog-single .post-meta {
    padding: 15px;
  }

  blockquote {
    margin: 0px 0px 37px 0px;
  }

  .single .author-post {
    padding: 30px 15px;
  }

  .nav-links .previous-post {
    width: 100%;
    float: unset;
    text-align: left;
  }

  .nav-links .next-post {
    width: 100%;
    float: unset;
  }

  .navigation.posts-navigation .nav-links li:not(:last-child) {
    margin-bottom: 20px;
  }

  .contact-form-ip .tf-title-section .title-section .heading {
    margin: 0 0%;
    font-size: 30px;
  }

  .contact-form-ip .top {
    display: block;
    margin-left: 0;
  }

  .contact-form-ip .top .wpcf7-form-control-wrap {
    width: 100%;
    margin-left: 0px;
    margin-bottom: 30px;
  }

  .contact-form-ip .top .wpcf7-form-control-wrap input {
    margin-bottom: 15px;
  }

  .contact-form-ip .top,
  .header.header-search
    .tfre-advanced-search-wrap.form-main
    .form-search-inner
    .tfre-search-status-tab {
    margin-bottom: 0;
  }

  .comment-reply-title a#cancel-comment-reply-link {
    padding-left: 0px;
  }

  .blog-single .content-post-single .post-meta {
    padding: 0;
  }

  .blog-list article .post-meta,
  .item article .post-meta {
    display: flex;
    flex-wrap: wrap;
  }

  .modal-login .modal-dialog {
    margin: 0;
    max-width: 100%;
  }

  .login-header ul li:last-child,
  .login-header ul li:not(:last-child)::after,
  .themesflat-top .content-left .list-infor-topbar li::after {
    display: none;
  }

  .shape-slider {
    clip-path: ellipse(170% 100% at 50% 0%);
  }

  .go-top,
  .go-top.show {
    right: 8px;
    bottom: 8px;
  }

  .footer-widgets .wrap-widgets-4,
  .themesflat-top .content-left .list-infor-topbar {
    margin-bottom: 0;
  }

  .blog-single .content-post-single .item-meta,
  .blog-single .content-post-single .post-meta {
    margin-bottom: 5px;
  }

  .blog-single .content-post-single {
    padding-bottom: 20px;
  }

  .sidebar-dashboard .db-logo {
    padding: 26px 30px 26px 30px;
  }

  #header .inner-canvas-nav .group-header-logo {
    padding: 18px 20px;
  }

  .blog-layout-fullwidth .blog-single .featured-post img {
    min-height: 300px;
    max-height: 300px;
  }

  .contact-page .group-form .inner {
    width: calc(100% - 25px);
  }

  .footer-action-box .image {
    display: none;
  }

  .footer-action-box .content-inner {
    justify-content: left;
  }
}

@media only screen and (max-width: 635px) {
  article .entry-meta ul li,
  article .post-meta .item-meta {
    margin-right: 25px;
  }

  article .post-meta .item-meta.post-comments::after,
  article .post-meta .item-meta.post-author::after {
    right: -12px;
  }

  article .post-meta .item-meta .meta-icon {
    margin-right: 5px;
    font-size: 16px;
  }

  .blog-post.has-post-thumbnail .content-post .featured-post::before {
    display: none;
  }

  article .entry-title {
    font-size: 25px;
  }
}

/* Mobile Portrait Size */
@media only screen and (max-width: 600px) {
  .modal-menu-left .modal-menu__body {
    width: calc(100% - 50px);
  }

  .modal-menu__panel-body,
  .modal-menu__panel-footer {
    padding: 60px 30px 60px 30px;
  }

  .modal-menu__panel-header {
    padding: 10px 10px 10px 10px;
  }

  #mainnav-secondary .menu .menu-item-has-children > span {
    right: 0;
  }

  .entry-footer .social-share-article h5 {
    display: none;
  }

  .comments-area ol.comment-list article {
    position: relative;
  }

  .btn-video {
    padding-left: 45px !important;
  }

  .btn-get-started.rev-btn {
    padding: 17px 43px 17px 15px !important;
  }

  .btn-get-started.rev-btn i {
    right: 15px;
  }

  .btn-video::before {
    width: 40px;
    height: 40px;
  }
}

@media only screen and (max-width: 575px) {
  .video-video-box-button-sm.video-box-button-lg button {
    width: 60px;
    height: 60px;
    font-size: 20px;
  }

  .comments-area ul.children {
    margin-left: 20px;
  }

  ul.box-contact li .wrap-icon {
    float: none;
    margin-right: 0px;
  }

  ul.box-contact li .wrap-info {
    overflow: hidden;
    margin-top: 15px;
  }

  .box-contact li {
    padding: 43px 30px 40px;
  }

  .error-404-text h2 {
    font-size: 200px;
    letter-spacing: -10px;
  }

  .wrap-btn-header {
    display: none;
  }

  .single .entry-footer {
    flex-direction: column;
    align-items: flex-start;
  }

  .single .entry-footer .social-share-article {
    margin-top: 20px;
  }
}

@media (max-width: 499px) {
  .bottom .content-left,
  .bottom .content-right {
    display: block;
    text-align: center !important;
  }

  .bottom .content-left {
    margin-bottom: 15px;
  }

  .bottom .content-right .text-left {
    margin-bottom: 10px;
  }

  .comments-area ol.comment-list article:after,
  .comments-area ol.comment-list article:before {
    display: none;
  }

  .comments-area blockquote {
    margin: 10px 0px 30px 0px;
    padding: 10px 15px 20px 15px;
  }

  .comments-area ol.comment-list article .comment_content .comment_text {
    overflow-x: auto;
  }

  .comments-area ol.comment-list article,
  .comment-list-wrap .comment-respond {
    margin-bottom: 30px;
  }

  .page-wrap.fullwidth-small .wrap-content-area,
  .page-wrap.fullwidth-small .content-area {
    width: 100%;
    max-width: 100%;
  }

  .section-comming-soon .title-comming-soon {
    font-size: 35px;
  }

  .mobi-supper-small-hide {
    display: none;
  }

  .smobi-center {
    text-align: center !important;
  }

  .smobi-left {
    text-align: left !important;
  }

  .themesflat_sc_vc-headings.left-icon-testimonial {
    padding-left: 0;
  }

  .themesflat_sc_vc-headings.left-icon-testimonial:before {
    position: relative;
    margin-bottom: 10px;
  }

  .desk-pd-left81px {
    padding: 0 30px;
  }

  article .post-meta .item-meta.post-comments::after,
  article .post-meta .item-meta.post-author::after {
    display: none;
  }

  article .post-meta .item-meta {
    margin-right: 15px;
  }

  article .post-meta .item-meta {
    line-height: 35px;
  }
}
